Bug 467841 - Missing dependency of sendmail upon make
Missing dependency of sendmail upon make
Product: Fedora
Classification: Fedora
Component: sendmail (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: Miroslav Lichvar
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2008-10-21 04:39 EDT by Ted Rule
Modified: 2009-01-07 16:53 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-12-03 13:41:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ted Rule 2008-10-21 04:39:12 EDT
Description of problem:

If a base system is installed including sendmail, then changes to /etc/mail/sendmail.mc are not reflected in sendmail.cf upon restart of the sendmail service unless the make package is also installed. I feels this breaks a principle of "least surprise".

The init script tests for make's existence and avoids updating
sendmail.cf if it doesn't exist.

It is arguable that is more logical to make the sendmail-cf package depend upon
"make" as one is only ever likely to install this package if one wants to update sendmail.cf via sendmail.mc, but to my mind the package which owns /etc/mail/Makefile should have a dependency upon "make".

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 Miroslav Lichvar 2008-12-03 13:41:09 EST
In sendmail-8.14.3-2.fc11 the Makefile is rewritten in shell script. Also the init script will print a warning if sendmail-cf package is required.
Comment 2 Fedora Update System 2008-12-03 13:55:02 EST
sendmail-8.14.3-2.fc10 has been submitted as an update for Fedora 10.
Comment 3 Fedora Update System 2008-12-19 08:40:05 EST
sendmail-8.14.3-3.fc10 has been submitted as an update for Fedora 10.
Comment 4 Fedora Update System 2009-01-07 16:53:31 EST
sendmail-8.14.3-3.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.